## xfce4-dockbarx-plugin 0.4.1

=== wscript ===
#!/usr/bin/env python2
#
# Copyright (c) 2011- Trent McPheron <twilightinzero@gmail.com>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

# For creating a source archive.
APPNAME = 'xfce4-dockbarx-plugin'
VERSION = '0.4.1'

# Required waf stuff.
top = '.'
out = 'build'

def options (ctx):
    ctx.load('compiler_c')
    ctx.load('vala')

def configure (ctx):
    # Strip extraneous slash from prefix.
    if ctx.options.prefix[-1] == '/' :
        ctx.options.prefix += ctx.options.prefix[-1]

    # Check for required stuff.
    ctx.load('compiler_c misc')
    ctx.load('vala', funs='')
    ctx.check_vala()
    args = '--cflags --libs'
    ctx.find_program('dockx')
    ctx.check_cfg(package = 'glib-2.0', atleast_version = '2.10',
        uselib_store = 'GLIB', mandatory = True, args = args)
    ctx.check_cfg(package = 'gtk+-2.0', atleast_version = '2.16',
        uselib_store = 'GTK', mandatory = True, args = args)
    ctx.check_cfg(package = 'libxfce4panel-1.0', atleast_version = '4.8',
        uselib_store = 'XFCE4PANEL', mandatory = True, args = args)

def build (ctx):
    # Compile the program.
    ctx.program(
        features     = 'c cshlib',
        is_lib       = True,
        vapi_dirs    = 'vapi',
        source       = ctx.path.ant_glob('src/*.vala'),
        packages     = 'glib-2.0 gtk+-2.0 libxfce4panel-1.0',
        target       = 'dockbarx',
        install_path = '${PREFIX}/lib/xfce4/panel/plugins/',
        uselib       = 'GLIB GTK XFCE4PANEL')

    # Install other files.
    ctx(
        features = 'subst',
        source = 'data/dockbarx.desktop.in',
        target = 'data/dockbarx.desktop')
    ctx.install_files(
        '${PREFIX}/share/xfce4/panel/plugins/',
        'data/dockbarx.desktop')
    ctx.install_files(
        '${PREFIX}/share/dockbarx/themes/',
        'data/Mouse.tar.gz')
    ctx.install_files(
        '${PREFIX}/share/dockbarx/themes/',
        'data/Mouse-4.tar.gz')
    ctx.install_files(
        '${PREFIX}/share/dockbarx/themes/',
        'data/Mouse-6.tar.gz')
    ctx.install_files(
        '${PREFIX}/share/dockbarx/themes/',
        'data/MouseNeo.tar.gz')
    ctx.install_files(
        '${PREFIX}/share/dockbarx/themes/',
        'data/MouseNeo-4.tar.gz')
    ctx.install_files(
        '${PREFIX}/share/dockbarx/themes/',
        'data/MouseNeo-6.tar.gz')
    ctx.install_as(
        '/usr/share/xfce4/panel/plugins/xfce4-dockbarx-plug',
        'src/xfce4-dockbarx-plug.py',
        chmod=0o755)

def checkinstall (ctx):
    ctx.exec_command('checkinstall' +
     ' --pkgname=' + APPNAME + ' --pkgversion=' + VERSION +
     ' --provides=' + APPNAME + ' --requires=dockbarx' +
     ' --deldoc=yes --deldesc=yes --delspec=yes --backup=no' +
     ' --exclude=/home -y ./waf install')

=== debian/changelog ===
xfce4-dockbarx-plugin (0.4.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * Depend on libvala-0.42-dev

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Mon, 09 Dec 2019 23:37:53 -0500

xfce4-dockbarx-plugin (0.4.1-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 29 Nov 2017 20:51:26 -0500
 

xfce4-dockbarx-plugin (0.4.1-1~webupd8~zesty4) zesty; urgency=medium
 
  * Upload for Zesty
  * Depend on libvala-0.34-dev

 -- Alin Andrei <andrew@webupd8.org>  Mon, 20 Mar 2017 16:10:44 +0200

xfce4-dockbarx-plugin (0.4.1-1~webupd8~yakkety3) yakkety; urgency=medium
 
  * Upload for Yakkety
  * debian/control: use Vala 0.32 for building
  * debian/control: update Standards-Version to 3.9.8

 -- Alin Andrei <andrew@webupd8.org>  Mon, 17 Oct 2016 11:51:21 +0200

xfce4-dockbarx-plugin (0.4.1-1~webupd8~xenial2) xenial; urgency=medium
 
  * New upstream release
  * Depend on python-dbus
  * Removed fix-old-bg-methods.patch (applied upstream)
  * Use valac-0.28 for Wily and Xenial only

 -- Alin Andrei <webupd8@gmail.com>  Wed, 19 Aug 2015 12:12:37 +0200

xfce4-dockbarx-plugin (0.4-1~webupd8~trusty1) trusty; urgency=medium
 
  * New upstream release
  * Depend on python-dbus
  * Added fix-old-bg-methods.patch

 -- Alin Andrei <webupd8@gmail.com>  Wed, 12 Aug 2015 12:15:57 +0200

xfce4-dockbarx-plugin (0.3.1-0~webupd8~vivid1) vivid; urgency=medium
 
  * Upload for Vivid
  * Build with Vala 0.16 (0.14 not available for Vivid)

 -- Alin Andrei <webupd8@gmail.com>  Wed, 11 Mar 2015 14:18:39 +0200

xfce4-dockbarx-plugin (0.3.1-0~webupd8~utopic0) utopic; urgency=medium
 
  * Upload for Utopic

 -- Alin Andrei <webupd8@gmail.com>  Thu, 11 Sep 2014 11:27:49 +0200

xfce4-dockbarx-plugin (0.3.1-0~webupd8~trusty0) trusty; urgency=medium
 
  * new upstream bugfix release
 
 -- Alin Andrei <webupd8@gmail.com>  Fri, 20 Jun 2014 12:33:17 +0200

xfce4-dockbarx-plugin (0.3-0~webupd8~precise0) precise; urgency=medium
 
  * new upstream release
 
 -- Alin Andrei <webupd8@gmail.com>  Mon, 16 Jun 2014 12:33:17 +0200

xfce4-dockbarx-plugin (0.2.1-1~webupd8~trusty0) trusty; urgency=medium
 
  * new upstream release
 
 -- Alin Andrei <webupd8@gmail.com>  Tue, 13 May 2014 12:33:17 +0200

xfce4-dockbarx-plugin (0.2-1~webupd8~trusty3) trusty; urgency=medium
 
  * initial packaging
 
 -- Alin Andrei <webupd8@gmail.com>  Wed, 20 Mar 2013 12:33:17 +0200

=== debian/control ===
Source: xfce4-dockbarx-plugin
Section: xfce
Priority: optional
Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Alin Andrei <webupd8@gmail.com>
Build-Depends: debhelper, libvala-0.42-dev, valac, libglib2.0-dev, libgtk2.0-dev, xfce4-panel-dev, dockbarx-dockx, dockbarx
Standards-Version: 3.9.8
Homepage: https://github.com/TiZ-EX1/xfce4-dockbarx-plugin

Package: xfce4-dockbarx-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dockbarx (> 0.90), python-dbus
Description: DockBarX plugin for Xfce
 This is a DockBarX plugin for the Xfce panel

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	./waf configure --prefix=/usr
	./waf build
	mv src/xfce4-dockbarx-plug.py src/xfce4-dockbarx-plug

%:
	dh $@

override_dh_shlibdeps:
	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

## xfce4-dockbarx-plugin 0.6+git20200718

=== wscript ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#!/usr/bin/env python2
+#!/usr/bin/env python3
 #
 # Copyright (c) 2011- Trent McPheron <twilightinzero@gmail.com>
 #
@@ -22,7 +22,7 @@
 
 # For creating a source archive.
 APPNAME = 'xfce4-dockbarx-plugin'
-VERSION = '0.4.1'
+VERSION = '0.6'
 
 # Required waf stuff.
 top = '.'
@@ -38,17 +38,19 @@
         ctx.options.prefix += ctx.options.prefix[-1]
 
     # Check for required stuff.
-    ctx.load('compiler_c misc')
-    ctx.load('vala', funs='')
-    ctx.check_vala()
+    ctx.load('compiler_c')
+    ctx.env.VALA_MINVER = (0, 36, 0)
+    ctx.load('vala')
+    ctx.env.append_value('CFLAGS', '-DGETTEXT_PACKAGE="gtk30"')
     args = '--cflags --libs'
-    ctx.find_program('dockx')
-    ctx.check_cfg(package = 'glib-2.0', atleast_version = '2.10',
+    ctx.check_cfg(package = 'glib-2.0', atleast_version = '2.42',
         uselib_store = 'GLIB', mandatory = True, args = args)
-    ctx.check_cfg(package = 'gtk+-2.0', atleast_version = '2.16',
+    ctx.check_cfg(package = 'gtk+-3.0', atleast_version = '3.22',
         uselib_store = 'GTK', mandatory = True, args = args)
-    ctx.check_cfg(package = 'libxfce4panel-1.0', atleast_version = '4.8',
+    ctx.check_cfg(package = 'libxfce4panel-2.0', atleast_version = '4.12',
         uselib_store = 'XFCE4PANEL', mandatory = True, args = args)
+    ctx.check_cfg(package = 'libxfconf-0', atleast_version = '4.12',
+        uselib_store = 'XFCONF', mandatory = True, args = args)
 
 def build (ctx):
     # Compile the program.
@@ -57,10 +59,10 @@
         is_lib       = True,
         vapi_dirs    = 'vapi',
         source       = ctx.path.ant_glob('src/*.vala'),
-        packages     = 'glib-2.0 gtk+-2.0 libxfce4panel-1.0',
+        packages     = 'glib-2.0 gtk+-3.0 libxfce4panel-2.0 libxfconf-0',
         target       = 'dockbarx',
         install_path = '${PREFIX}/lib/xfce4/panel/plugins/',
-        uselib       = 'GLIB GTK XFCE4PANEL')
+        use       = 'GLIB GTK XFCE4PANEL XFCONF')
 
     # Install other files.
     ctx(

=== debian/changelog ===
xfce4-dockbarx-plugin (0.6+git20200718-1~mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 24 Aug 2020 12:51:10 -0400

xfce4-dockbarx-plugin (0.6+git20200718-1~ppa2~20.10) groovy; urgency=medium
 
  * New git snapshot

 -- Xu Zhen <xuzhen@fastmail.com>  Sat, 18 Jul 2020 18:56:13 +0800

xfce4-dockbarx-plugin (0.6-1~groovy1) groovy; urgency=medium
 
  * New upstream release

 -- Xu Zhen <xuzhen@fastmail.com>  Sat, 27 Jun 2020 17:49:24 +0800

xfce4-dockbarx-plugin (0.5+git20200103-1~groovy1) groovy; urgency=medium
 
  * New upstream git snapshot

 -- Xu Zhen <xuzhen@fastmail.com>  Fri, 26 Jun 2020 22:51:05 +0800

xfce4-dockbarx-plugin (0.4.1+git20160817-1~xenial2) xenial; urgency=medium
 
  * Build for 16.04
  * Depend on libvala-0.30-dev

 -- Xu Zhen <xuzhen@fastmail.com>  Tue, 31 Jul 2018 21:41:13 +0800

=== debian/control ===
Source: xfce4-dockbarx-plugin
Section: xfce
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
XSBC-Original-Maintainer: Xu Zhen <xuzhen@fastmail.com>
Build-Depends: debhelper, libvala-0.48-dev, valac (>= 0.36), libglib2.0-dev (>= 2.42), libgtk-3-dev (>= 3.22), xfce4-panel-dev (>= 4.12), libxfce4panel-2.0-dev (>= 4.12), libxfconf-0-dev (>= 4.12), python3
Standards-Version: 4.0.0
Homepage: https://github.com/M7S/xfce4-dockbarx-plugin

Package: xfce4-dockbarx-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dockbarx-common (>= 1.0~beta)
Description: DockBarX plugin for Xfce
 This is a DockBarX plugin for the Xfce panel

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,14 @@
 #export DH_VERBOSE=1
 
 override_dh_auto_configure:
-	./waf configure --prefix=/usr
-	./waf build
-	mv src/xfce4-dockbarx-plug.py src/xfce4-dockbarx-plug
+	python3 ./waf configure --prefix=debian/xfce4-dockbarx-plugin/usr
+	python3 ./waf build
+
+override_dh_install:
+	python3 ./waf install
+
+override_dh_clean:
+	rm -fr .pc/ .waf3-2.0.19-*/ build/ .lock-waf_linux_build debian/xfce4-dockbarx-plugin/ debian/.debhelper/
 
 %:
 	dh $@
-
-override_dh_shlibdeps:
-	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info
